/********************************************************************/
/* Copyright (c) 2019 System fugen G.K. and Yuzi Mizuno          */
/* All rights reserved.                                             */
/********************************************************************/
#pragma once

/////////////////////////////////////////////////////////////////////////////
// CGLColorComboBox

class CGLColorComboBox : public CComboBox{
public:
	CGLColorComboBox();
	virtual ~CGLColorComboBox();

	virtual int CompareItem(LPCOMPAREITEMSTRUCT lpDrawItemStruct);
//	virtual void DeleteItem(LPDELETEITEMSTRUCT lpDrawItemStruct);
	virtual void DrawItem(LPDRAWITEMSTRUCT lpDrawItemStruct);
	virtual void MeasureItem(LPMEASUREITEMSTRUCT lpDrawItemStruct);

	// コンボボックスアイテムの初期化
	// 引数には、その他で指定した色(初期値は
	void InitItems(int otherColorARGB);

	// 現在選択されている色のARGB値を取得
	int getSelectedColorARGB();

	// ARGBで選択色を指定。Indexに無い色の場合は、その他が書き換えられる。
	void setSelectedColorARGB(int colorARGB);

	// 選択中の色をCOLORREFで取得
	COLORREF getSelectedColor();
private:
	int m_otherColorIdx;

	// その他で定義された色。ARGBカラー値で保持
	int m_dwColorOther; //ARGB Color
};

